import 'package:flutter/material.dart';

class CustomDialog {
  static adsLoadingDialog({required BuildContext context}) {
    return WillPopScope(
      onWillPop: () async {
        return false;
      },
      child: StatefulBuilder(
        builder: (context, setState) => SimpleDialog(
          elevation: 80,
          backgroundColor: Colors.transparent,
          title: Container(
            alignment: Alignment.center,
            // width: 400.w,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(20),
              boxShadow: [
                BoxShadow(
                  spreadRadius: 5,
                  blurRadius: 10,
                  offset: const Offset(0, 0),
                ),
                BoxShadow(
                  spreadRadius: 5,
                  blurRadius: 10,
                  offset: const Offset(0, 0),
                ),
              ],
            ),
            child: Container(
              padding: EdgeInsets.all(15),
              margin: EdgeInsets.all(2),
              // width: 400.w,
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(20),
              ),
              child: Padding(
                padding: EdgeInsets.all(10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  children: [

                    CircularProgressIndicator()
                  ],
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}